Shop Articles API
Bu içerik henüz dilinizde mevcut değil.
List shop articles
Заголовок раздела «List shop articles»List all shop articles for an account:
GET /shop_articlesResponse
Заголовок раздела «Response»Status: 200 OK[ { "created_at": "2022-11-24T08:11:21-06:00", "id": 2, "name": "Dell Precision M4400", "reference": "dell_m4400", "sourceID": null, "updated_at": "2022-11-24T08:11:21-06:00", "nodeID": "..." }, { "created_at": "2022-11-24T08:11:21-06:00", "id": 3, "name": "Dell Precision T5400 Workstation", "reference": "dell_t5400", "sourceID": null, "updated_at": "2022-11-24T08:11:21-06:00", "nodeID": "..." }, "..."]The response contains these fields by default. Filtering and pagination are available to reduce/limit the collection of shop articles.
Predefined Filters
Заголовок раздела «Predefined Filters»The following predefined filters are available:
/shop_articles/enabled: List all shop articles that are enabled/shop_articles/disabled: List all shop articles that are disabled/shop_articles/on_offer: List all shop articles with the information (name, pricing, etc.) as it is on offer in the shop
Collection Fields
Заголовок раздела «Collection Fields»By default the following fields will appear in collections of shop articles:
id
,
sourceID
,
reference
,
name
,
created_at
,
updated_at
Obtain a different set of fields using the ?fields= parameter .
Filtering
Заголовок раздела «Filtering»Filtering is available for the following fields :
id
,
source
,
sourceID
,
reference
,
name
,
disabled
,
created_at
,
updated_at
Sorting
Заголовок раздела «Sorting»By default a collection of shop articles is sorted
ascending
by
name
.
The following fields are accepted by the ?sort= parameter :
id
,
sourceID
,
reference
,
name
,
created_at
,
updated_at
Get a single shop article
Заголовок раздела «Get a single shop article»GET /shop_articles/:idResponse
Заголовок раздела «Response»Status: 200 OK{ "calendar": { "id": 50, "name": "24x7 (Monday through Sunday)", "nodeID": "..." }, "category": { "id": 5, "name": "Laptops", "localized_name": "Laptops", "nodeID": "..." }, "created_at": "2022-11-24T08:11:21-06:00", "delivery_duration": 8640, "disabled": false, "end_at": null, "fulfillment_template": { "id": 1401, "subject": "Deliver Shop Article", "localized_subject": "Deliver Shop Article", "nodeID": "..." }, "full_description": "Dell’s most powerful 17\" mobile workstation with AI. Featuring up to Intel® Core® or Xeon® processors, NVIDIA® professional graphics and Dell Optimizer for Precision.", "id": 2, "max_quantity": 1, "name": "Dell Precision M4400", "picture_uri": "https://R-Service-demo-assets.s3-accelerate.dualstack.amazonaws.com/avatars/shop_article_accounts/large/Dell Precision M4400 Laptop PC.png", "price": "2350.0", "price_currency": "usd", "product": { "id": 47, "name": "Dell Precision M4400 Laptop PC", "category": "computer/laptop_pc", "nodeID": "...", "brand": "Dell EMC", "model": "Precision M4400" }, "recurring_period": null, "recurring_price": null, "recurring_price_currency": null, "reference": "DellM4400", "requires_shipping": true, "short_description": "Dell’s most powerful 17\" mobile workstation with AI.", "source": null, "sourceID": null, "start_at": null, "time_zone": "Central Time (US & Canada)", "ui_extension": null, "updated_at": "2022-11-24T08:11:21-06:00", "localized_full_description": "Dell’s most powerful 17\" mobile workstation with AI. Featuring up to Intel® Core® or Xeon® processors, NVIDIA® professional graphics and Dell Optimizer for Precision.", "localized_name": "Dell Precision M4400", "localized_short_description": "Dell’s most powerful 17\" mobile workstation with AI.", "nodeID": "...", "translation_id": 2}The response contains these fields .
Create a shop article
Заголовок раздела «Create a shop article»POST /shop_articlesWhen creating a new shop article these fields are available.
Response
Заголовок раздела «Response»Status: 201 Created{ "created_at": "...", "...": "..."}The response contains all fields of the created shop article and is similar to the response in Get a single shop article
Update a shop article
Заголовок раздела «Update a shop article»PATCH /shop_articles/:idWhen updating a shop article these fields are available.
Response
Заголовок раздела «Response»Status: 200 OK{ "created_at": "...", "...": "..."}The response contains all fields of the updated shop article and is similar to the response in Get a single shop article
calendar
Required reference to Calendar — The Calendar field is used to select the Calendar that defines the work hours related to the fulfillment/delivery.
category
Optional reference to Category — The Category field can be used to relate the shop article to a category.
created_at
Readonly datetime — The date and time at which the shop article was created.
delivery_duration
Required integer — The Delivery duration field is used to specify the time it takes to deliver the shop article.
disabled
Optional
boolean
, default:
false
— The Disabled box is checked when the shop article is not visible in the shop.
end_at
Optional datetime — The End field is used to select the end date and time at which the article needs to be disabled and thereby removed from the shop.
fulfillment_template
Required reference to Request template — The fulfillment template related to the shop article. The request template is used to order one of more units of this shop article.
full_description
Optional text (max 64KB) — The Full description field is used to enter a description of the shop article.
id
Readonly integer — The unique ID of the shop article.
max_quantity
Required
decimal
, default:
1
— The Quantity field is used to enter the maximum number of units that are allowed to be ordered in a single fulfillment request.
name
Required string (max 128) — The Name field is used to enter the name of the shop article.
picture_uri
Optional string — The hyperlink to the image file for the shop article.
price
Optional decimal — The Price field is used to enter the amount to be charged per unit that was ordered.
price_currency
Optional reference — The currency of the price.
product
Optional reference to Product — The Product field can be used to relate the shop article to a product.
recurring_period
Optional enum — The Recurring period field is used to select the interval for a recurring price. Valid values are:
monthly: Monthlyyearly: Yearly
recurring_price
Optional decimal — The Recurring price field is used to enter the amount to be charged recurrently per unit that was ordered.
recurring_price_currency
Optional reference — The currency of the recurrent price.
reference
Required string (max 128) — The Reference field can be used to identify the shop article. It must be unique within the account.
requires_shipping
Optional
boolean
, default:
false
— Set to the value
true
if the shop articles requires shipping and therefore a shipping address must be present in the order.
short_description
Optional string (max 200) — The Short description field is used to enter the a plain text short description to promote the shop article.
start_at
Optional datetime — The Start field is used to select the start date and time at which the article needs to be enabled and thereby become visible in the shop.
source
Optional string (max 30) - See source
sourceID
Optional string (max 128) - See source
time_zone
Required time_zone — The Time zone field is used to select the time zone that applies to the selected calendar.
ui_extension
Optional reference to UI Extension — The UI extension field is used to select the UI extension that is to be filled out before the shop article is added to the cart.
updated_at
Readonly
datetime
— The date and time of the last update of the shop article. If the shop article has no updates it contains the
created_at
value.